JNA API 3.3.0

## com.sun.jna
Class FunctionResultContext

    java.lang.Object
      com.sun.jna.FromNativeContext
          com.sun.jna.FunctionResultContext

Direct Known Subclasses:
  MethodResultContext

    public class FunctionResultContext

extends FromNativeContext

Provide result conversion context for a function call.

Constructor Summary
`FunctionResultContext(Class resultClass, Function function, Object[] args)`

Method Summary
`Object[]` | `getArguments()` Get the arguments used in this function call.
`Function` | `getFunction()` Get the function that was invoked.

Methods inherited from class com.sun.jna.FromNativeContext
`getTargetType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionResultContext

    FunctionResultContext(Class resultClass,
                          Function function,
                          Object[] args)

Method Detail

### getFunction

    public Function getFunction()

  Get the function that was invoked.

### getArguments

    public Object[] getArguments()

  Get the arguments used in this function call.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.